.gnav {
    display: flex;
    margin: 0 auto;
    padding: 0;
}
/*全てのリスト・リンク共通*/
.gnav li {
    list-style: none;
    position: relative;
}
.gnav li a {
    display: block;
    height: 40px;
    line-height: 40px;
    text-align: center;
    text-decoration: none;
    width: 100%;
}

.gnav li li {
    height: 0;
    overflow: hidden;
    transition: .3s;
}
.gnav li:hover > ul > li {
    height: 60px;
    overflow: visible;
}